#!/bin/sh
pid=`ps ax|grep [a]ide| awk '{ print $1 }'`
name=aide
exec=%%PREFIX%%/libexec/$name
conf=%%PREFIX%%/etc/$name/aide.conf

[ ! -f $conf ] && echo "configuration file $conf doesn't exist" && exit 1

#[ "$USER" != "root" ] && echo "you need to be root" && exit 1

case "$1" in
start)
	[ -x "$exec" ] \
		&& $exec -c $conf --daemon  \
		> /dev/null && echo -n " $name started"
	;;
stop)
	[ "$pid" != "" ] \
		&& kill $pid
		> /dev/null && echo -n " $name stopped"
	;;
restart)
	$0 stop
	sleep 2
	$0 start
	;;
status)
	[ "$pid" != "" ] && ps -p $pid
	;;
check)
	;;
*)
	echo "Usage: `basename $0` {start|stop|restart|status|check}" >&2
	;;
esac

echo .

exit 0
